%{?nodejs_find_provides_and_requires}

%global packagename spawn-wrap
%global enable_tests 1

Name:		nodejs-spawn-wrap
Version:	1.1.1
Release:	1%{?dist}
Summary:	Wrap all spawned Node.js child processes with environs and args

License:	ISC
URL:		https://github.com/isaacs/spawn-wrap.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Patch to fix test syntax
Patch0:		spawn-wrap_fix-test-syntax.patch

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(foreground-child)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(signal-exit)
BuildRequires:	npm(tap)
%endif

%description
Wrap all spawned Node.js child processes by adding environs and arguments ahead
of the main JavaScript file argument.


%prep
%setup -q -n package
%patch0 -p1


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/tap test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Feb 15 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Update to upstream 1.1.1 release

* Fri Nov 06 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-2
- Fix tests to run correctly

* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
